<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorReport']}</h2>
        <s:decorate template="/xvalidation/validate/reportTemplate.xhtml">
            <ui:param name="reportBean" value="#{gcvResultDisplayManager}"/>
            <ui:define name="validatedFiles">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title"><h:outputText value="#{messages['net.ihe.gazelle.xval.ValidatedFiles']}"/></ui:define>
                    <h:form id="validatedFilesForm">
                        <rich:dataTable value="#{gcvResultDisplayManager.validatedFiles}" var="file"
                                        id="validatedFilesTable">
                            <ui:include src="/xvalidation/validate/uploadFileColumns.xhtml">
                                <ui:param name="allowDelete" value="false"/>
                            </ui:include>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Files']}</ui:define>
                                <a4j:repeat value="#{file.files}" var="filename">
                                   <div class="row">
                                        <h:commandLink
                                                action="#{uploadFileIOManager.exportValidatedFile(file, filename)}"
                                                title="#{messages['net.ihe.gazelle.xval.ViewFile_2']}" target="_blank">
                                            <h:outputText value="#{filename}"/>
                                        </h:commandLink>
                                        <a4j:commandLink
                                                actionListener="#{gazelleCrossValidatorManager.removeFile(filename, file)}"
                                                rendered="#{allowDelete}" render="filesTable"
                                                title="#{messages['net.ihe.gazelle.xval.RemoveThisFile']}">
                                            <s:span styleClass="gzl-icon-trash-o "/>
                                        </a4j:commandLink>
                                    </div>
                                </a4j:repeat>
                            </g:column>
                        </rich:dataTable>
                    </h:form>
                </ui:decorate>
                <br/>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
